
stations: 
  - 1-2 الصالة (n12339155045)
  - 3-4 الصالة (n12339155044)
  - 5 الصالة (n12339155043)
  - استاد الملك فهد (n12430736336)
  - الأندلس (n12393813802)
  - البطحاء (n12389972675)
  - التخصصي (n12396325414)
  - الجرادية (n12397404698)
  - الجوزات (w936548204)
  - الحلة (n12400426403)
  - الحمراء (n12392081301)
  - الخليج (n12430721513)
  - الدار البيضاء (n12388804114)
  - الدوح (n12475590726)
  - الربيع (n12389972534)
  - السلام (n12390617207)
  - السليمانية (n12389831237)
  - الصالحية (n12400426401)
  - الضباب (n12389831236)
  - العروبة (w939573189)
  - العزيزية (n12388804115)
  - العود (w638609589)
  - المؤسسة العامة للتأمينات الاجتماعية (n12430128568)
  - المتحف الوطني (n12389972676)
  - المحطة الغربية (n12475968014)
  - المدينة الصناعية الأولى (n12396335673)
  - المربع (w936548203)
  - المرقب (n12400426402)
  - المروج (n12338812518)
  - الملز (n12475590068)
  - النزهة (n12430128572)
  - النسيم (n12390617208)
  - الورود (n12400413941)
  - الورود 2 (w939573190)
  - الوزارات (n12423290044)
  - اليرموك (n12390612145)
  - بنك البلاد (n12396325411)
  - جامع الراجحي (n12475590727)
  - جامعة الملك سعود (n12398529070)
  - حي الملك فهد (n12393282810)
  - حي الملك فهد 2 (n12389972677)
  - حي جرير (n12397423135)
  - خشم العان (n12476007298)
  - د. سليمان الحبيب (n12388804116)
  - ساب (w638634864)
  - سابك (n12389972557)
  - سكة الحديد (n12396335674)
  - سكيرينه (w769035076)
  - سلطانة (n12400406050)
  - سيتي سينتر اشبيلية (n12430768946)
  - شارع حسان بن ثابت (n12476534086)
  - شارع عائشة بنت أبي بكر (n12475567743)
  - شركة الاتصالات السعودية (n12393282811)
  - صلاح الدين (n12389831239)
  - طريق الملك عبدالعزيز (n12400413937)
  - طريق خالد بن الوليد (n12430775794)
  - طريق خريص (n12393747083)
  - طريق عثمان بن عفان (n12389972555)
  - طريق هارون الرشيد (n12475959588)
  - طويق (n12397423140)
  - ظهرة البديعة (n12400406049)
  - غرناطية (n12390617221)
  - مجمع المحاكم (n12395509809)
  - محطة النقل العام (w768838161)
  - محطة جامعة الاميره نوره 1 (n12339129098)
  - محطة جامعة الاميره نوره 2 (n12339160752)
  - محطة طريق جدة (n12354057233)
  - محطة قصر الحكم (n12395509810)
  - مدينة الملك عبد العزيز للعلوم والتقنية (n12430732327)
  - مركز الرياض للمعارض (n12430195368)
  - مركز الملك عبدالله المالي (n12389972535)
  - مستشفى الإيمان (w768840299)
  - مصرف الانماء (n12393282812)
  - مكتبة الملك فهد (n12393282813)
  - منفوحة (w768840300)
  - ميدان أبو ظبي (w638639808)
  - نادي الضباط (n12389831235)
  - واحة الملك سلمان (n12406935607)
  - وزارة التعليم (n12353818506)
  - وزارة الداخلية (n12389972673)
  - وزارة الدفاع (n12389831234)
  - وزارة المالية (n12389831232)
  - وزاره البيئة والمياه والزراعة (n12389831233)

transfers: 
  - 
    - King Abdullah Financial District (r18359320)
    - King Abdullah Financial District (r18359321)
  - 
    - الحمراء Al Hamra (r18362831)
    - الحمراء Al Hamra (r18362832)
  - 
    - المتحف الوطني (r18359331)
    - المتحف الوطني (r18431266)
  - 
    - النسيم (r18360765)
    - النسيم (r18368348)
  - 
    - محطة (r18365223)
    - محطة (r18437787)
  - 
    - محطة قصر الحكم (r18370273)
    - محطة قصر الحكم (r18373604)
  - 
    - وزارة التعليم (r18359090)
    - وزارة التعليم (r18375586)

routes: 
  - 
    type: subway
    ref: 1
    name: Blue Line
    colour: '#00aee6'
    station_count: 25
    stations: 
      - ساب
      - د. سليمان الحبيب
      - King Abdullah Financial District
      - المروج
      - محطة حي الملك فهد
      - حي الملك فهد 2
      - محطة
      - محطة الورود 2
      - العروبة
      - مصرف الانماء
      - بنك البلاد
      - مكتبة الملك فهد
      - وزارة الداخلية
      - المربع
      - الجوزات
      - المتحف الوطني
      - البطحاء
      - محطة قصر الحكم
      - محطة العود
      - محطة سكيرينه
      - محطة منفوحة
      - محطة مستشفى الإيمان
      - محطة النقل العام
      - العزيزية
      - الدار البيضاء

    itineraries: 
      r8857089: 
        - ساب (w638634864)
        - د. سليمان الحبيب (n12388804116)
        - مركز الملك عبدالله المالي (n12389972535)
        - المروج (n12338812518)
        - حي الملك فهد (n12393282810)
        - حي الملك فهد 2 (n12389972677)
        - شركة الاتصالات السعودية (n12393282811)
        - الورود 2 (w939573190)
        - العروبة (w939573189)
        - مصرف الانماء (n12393282812)
        - بنك البلاد (n12396325411)
        - مكتبة الملك فهد (n12393282813)
        - وزارة الداخلية (n12389972673)
        - المربع (w936548203)
        - الجوزات (w936548204)
        - المتحف الوطني (n12389972676)
        - البطحاء (n12389972675)
        - محطة قصر الحكم (n12395509810)
        - العود (w638609589)
        - سكيرينه (w769035076)
        - منفوحة (w768840300)
        - مستشفى الإيمان (w768840299)
        - محطة النقل العام (w768838161)
        - العزيزية (n12388804115)
        - الدار البيضاء (n12388804114)

      r17168709: 
        - الدار البيضاء (n12388804114)
        - العزيزية (n12388804115)
        - محطة النقل العام (w768838161)
        - مستشفى الإيمان (w768840299)
        - منفوحة (w768840300)
        - سكيرينه (w769035076)
        - العود (w638609589)
        - محطة قصر الحكم (n12395509810)
        - البطحاء (n12389972675)
        - المتحف الوطني (n12389972676)
        - الجوزات (w936548204)
        - المربع (w936548203)
        - وزارة الداخلية (n12389972673)
        - مكتبة الملك فهد (n12393282813)
        - بنك البلاد (n12396325411)
        - مصرف الانماء (n12393282812)
        - العروبة (w939573189)
        - الورود 2 (w939573190)
        - شركة الاتصالات السعودية (n12393282811)
        - حي الملك فهد 2 (n12389972677)
        - حي الملك فهد (n12393282810)
        - المروج (n12338812518)
        - مركز الملك عبدالله المالي (n12389972535)
        - د. سليمان الحبيب (n12388804116)
        - ساب (w638634864)


  - 
    type: subway
    ref: 2
    name: Red Line
    colour: '#ef3434'
    station_count: 15
    stations: 
      - جامعة الملك سعود King Saud University
      - واحة الملك سلمان
      - مدينة الملك عبد العزيز للعلوم والتقنية
      - التخصصي At Takhassussi
      - محطة
      - الورود Al Wurud
      - طريق الملك عبدالعزيز King Abdulaziz Road
      - وزارة التعليم
      - النزهة
      - محطة معارض الرياض
      - طديق خالد بن الوليد
      - الحمراء Al Hamra
      - الخليج
      - سيتي سينتر اشبيلية
      - استاد الملك فهد

    itineraries: 
      r8857429: 
        - جامعة الملك سعود (n12398529070)
        - واحة الملك سلمان (n12406935607)
        - مدينة الملك عبد العزيز للعلوم والتقنية (n12430732327)
        - التخصصي (n12396325414)
        - شركة الاتصالات السعودية (n12393282811)
        - الورود (n12400413941)
        - طريق الملك عبدالعزيز (n12400413937)
        - وزارة التعليم (n12353818506)
        - النزهة (n12430128572)
        - مركز الرياض للمعارض (n12430195368)
        - طريق خالد بن الوليد (n12430775794)
        - الحمراء (n12392081301)
        - الخليج (n12430721513)
        - سيتي سينتر اشبيلية (n12430768946)
        - استاد الملك فهد (n12430736336)

      r17169524: 
        - استاد الملك فهد (n12430736336)
        - سيتي سينتر اشبيلية (n12430768946)
        - الخليج (n12430721513)
        - الحمراء (n12392081301)
        - طريق خالد بن الوليد (n12430775794)
        - مركز الرياض للمعارض (n12430195368)
        - النزهة (n12430128572)
        - وزارة التعليم (n12353818506)
        - طريق الملك عبدالعزيز (n12400413937)
        - الورود (n12400413941)
        - شركة الاتصالات السعودية (n12393282811)
        - التخصصي (n12396325414)
        - مدينة الملك عبد العزيز للعلوم والتقنية (n12430732327)
        - واحة الملك سلمان (n12406935607)
        - جامعة الملك سعود (n12398529070)


  - 
    type: subway
    ref: 3
    name: Orange line
    colour: '#ed872d'
    station_count: 22
    stations: 
      - محطة طريق جدة
      - طويق Tuwaiq
      - الدوح
      - المحطة الغربية
      - شارع عائشة بنت أبي بكر
      - ظهرة البديعة Dhahrat Al Badiah
      - سلطانة Sultanah
      - الجرادية Al Jarradiyah
      - مجمع المحاكم Courts Complex
      - محطة قصر الحكم
      - الحلة Al Hilla
      - المرقب Al Margab
      - الصالحية As Salhiyah
      - المدينة الصناعية الأولى First Industrial City
      - سكة الحديد Railway
      - الملز
      - حي جرير Jarir District
      - جامع الراجحي
      - طريق هارون الرشيد
      - النسيم
      - شارع حسان بن ثابت
      - خشم العان

    itineraries: 
      r8857387: 
        - محطة طريق جدة (n12354057233)
        - طويق (n12397423140)
        - الدوح (n12475590726)
        - المحطة الغربية (n12475968014)
        - شارع عائشة بنت أبي بكر (n12475567743)
        - ظهرة البديعة (n12400406049)
        - سلطانة (n12400406050)
        - الجرادية (n12397404698)
        - مجمع المحاكم (n12395509809)
        - محطة قصر الحكم (n12395509810)
        - الحلة (n12400426403)
        - المرقب (n12400426402)
        - الصالحية (n12400426401)
        - المدينة الصناعية الأولى (n12396335673)
        - سكة الحديد (n12396335674)
        - الملز (n12475590068)
        - حي جرير (n12397423135)
        - جامع الراجحي (n12475590727)
        - طريق هارون الرشيد (n12475959588)
        - النسيم (n12390617208)
        - شارع حسان بن ثابت (n12476534086)
        - خشم العان (n12476007298)

      r17172396: 
        - خشم العان (n12476007298)
        - شارع حسان بن ثابت (n12476534086)
        - النسيم (n12390617208)
        - طريق هارون الرشيد (n12475959588)
        - جامع الراجحي (n12475590727)
        - حي جرير (n12397423135)
        - الملز (n12475590068)
        - سكة الحديد (n12396335674)
        - المدينة الصناعية الأولى (n12396335673)
        - الصالحية (n12400426401)
        - المرقب (n12400426402)
        - الحلة (n12400426403)
        - محطة قصر الحكم (n12395509810)
        - مجمع المحاكم (n12395509809)
        - سلطانة (n12400406050)
        - ظهرة البديعة (n12400406049)
        - شارع عائشة بنت أبي بكر (n12475567743)
        - المحطة الغربية (n12475968014)
        - الدوح (n12475590726)
        - طويق (n12397423140)
        - محطة طريق جدة (n12354057233)


  - 
    type: subway
    ref: 4
    name: 'المسار 4 - الخط الأصفر'
    colour: '#ffd009'
    station_count: 9
    stations: 
      - King Abdullah Financial District
      - Ar Rabi
      - Uthman Bin Affan
      - SABIC
      - محطة جامعة الاميره نوره 1
      - PNU 2
      - Airport T5
      - Airport T3-4
      - Airport T1-2

    itineraries: 
      r8857389: 
        - مركز الملك عبدالله المالي (n12389972535)
        - الربيع (n12389972534)
        - طريق عثمان بن عفان (n12389972555)
        - سابك (n12389972557)
        - محطة جامعة الاميره نوره 1 (n12339129098)
        - محطة جامعة الاميره نوره 2 (n12339160752)
        - 5 الصالة (n12339155043)
        - 3-4 الصالة (n12339155044)
        - 1-2 الصالة (n12339155045)

      r18367296: 
        - 1-2 الصالة (n12339155045)
        - 3-4 الصالة (n12339155044)
        - 5 الصالة (n12339155043)
        - محطة جامعة الاميره نوره 2 (n12339160752)
        - محطة جامعة الاميره نوره 1 (n12339129098)
        - سابك (n12389972557)
        - طريق عثمان بن عفان (n12389972555)
        - الربيع (n12389972534)
        - مركز الملك عبدالله المالي (n12389972535)


  - 
    type: subway
    ref: 5
    name: Green Line
    colour: '#008000'
    station_count: 12
    stations: 
      - وزارة التعليم
      - صلاح الدين
      - السليمانية
      - الضباب
      - ميدان أبو ظبي
      - نادي الضباط
      - المؤسسة العامة للتأمينات الاجتماعية
      - الوزارات
      - وزارة الدفاع
      - وزاره البيئة والمياه والزراعة
      - وزارة المالية
      - المتحف الوطني

    itineraries: 
      r8857090: 
        - وزارة التعليم (n12353818506)
        - صلاح الدين (n12389831239)
        - السليمانية (n12389831237)
        - الضباب (n12389831236)
        - ميدان أبو ظبي (w638639808)
        - نادي الضباط (n12389831235)
        - المؤسسة العامة للتأمينات الاجتماعية (n12430128568)
        - الوزارات (n12423290044)
        - وزارة الدفاع (n12389831234)
        - وزاره البيئة والمياه والزراعة (n12389831233)
        - وزارة المالية (n12389831232)
        - المتحف الوطني (n12389972676)

      r18359081: 
        - المتحف الوطني (n12389972676)
        - وزارة المالية (n12389831232)
        - وزاره البيئة والمياه والزراعة (n12389831233)
        - وزارة الدفاع (n12389831234)
        - الوزارات (n12423290044)
        - المؤسسة العامة للتأمينات الاجتماعية (n12430128568)
        - نادي الضباط (n12389831235)
        - ميدان أبو ظبي (w638639808)
        - الضباب (n12389831236)
        - السليمانية (n12389831237)
        - صلاح الدين (n12389831239)
        - وزارة التعليم (n12353818506)


  - 
    type: subway
    ref: 6
    name: Purple Line
    colour: '#7f00ff'
    station_count: 11
    stations: 
      - النسيم
      - السلام
      - طريق خريص
      - الأندلس
      - الحمراء Al Hamra
      - Al Yarmuk
      - Granadia
      - SABIC
      - Uthman Bin Affan
      - Ar Rabi
      - King Abdullah Financial District

    itineraries: 
      r8857388: 
        - النسيم (n12390617208)
        - السلام (n12390617207)
        - طريق خريص (n12393747083)
        - الأندلس (n12393813802)
        - الحمراء (n12392081301)
        - اليرموك (n12390612145)
        - غرناطية (n12390617221)
        - سابك (n12389972557)
        - طريق عثمان بن عفان (n12389972555)
        - الربيع (n12389972534)
        - مركز الملك عبدالله المالي (n12389972535)

      r18360763: 
        - مركز الملك عبدالله المالي (n12389972535)
        - الربيع (n12389972534)
        - طريق عثمان بن عفان (n12389972555)
        - سابك (n12389972557)
        - غرناطية (n12390617221)
        - اليرموك (n12390612145)
        - الحمراء (n12392081301)
        - الأندلس (n12393813802)
        - طريق خريص (n12393747083)
        - السلام (n12390617207)
        - النسيم (n12390617208)



